// pages/agent/addServiceBill/index.js
import api from '../../api/api'
import data from './formData'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    data,
    form:{
      "sa_serviceorderid":0,     //sa_brandid<=0时 为新增
      "servicetype":"0",
      "sa_orderid":0,
      "remarks":"",
      "class1":"",
      "class2":"",
      "reason":"",
      "province":"",
      "city":"",
      "county":"",
      "address":"",
      "scenecontact":"",
      "scenecontactrole":"",
      "scenecontactphonenumber":"",
      "billdate":"",
      "begdate":"",
      "enddate":""
    }
  },

  async onClick (data) {
    this.data.form = Object.assign({},this.data.form,data.detail)
    const res = await api._post({
      "id": "20230206091403",
      "version":1,
      "content": this.data.form
    })
    const rs = await api._post({
      "classname": "system.attachment.Attachment",
      "method": "createFileLink",
      "content": {
        "ownertable": "sa_serviceorder",
        "ownerid": res.data.sa_serviceorderid,
        "usetype": "附件",
        "attachmentids": data.detail.attachmentids
      }
    })
    if (res.code === 0) return wx.showToast({
      title: res.msg,
      duration: 3000,
      icon: 'none',
    })
    wx.navigateBack({
      delta:0
    })
  },
  onLoad(options) {
    let that = this
    let obj = getApp().globalData.handelSelect.data.orderMainData
    that.data.form = Object.assign({},this.data.form,obj)
    Object.keys(that.data.form).map((key,index)=>{
      that.data.data.formLayout.formInfo.forEach(e=>{
        if (e.id === key) {
          e.inputValue = obj[key]
        }
        if (e.id === 'provinceArr') {
          e.inputValue = `${obj.province},${obj.city},${obj.county}`
        }
      })
    })
    that.setData({
      data:that.data.data
    })
  },
  onHide() {
    this.compData = this.selectComponent("#form")
    // this.compData.setObjectData(this.compData.data.formLayoutData.formInfo)
  },
  onUnload() {
    getApp().globalData.pageData = null
  }
})